package com.tencent.mm.plugin.sns.h;

import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.sdk.platformtools.bo;
import java.util.Map;

class j$a {
    StringBuffer jvt = new StringBuffer();

    j$a() {
        AppMethodBeat.i(36834);
        AppMethodBeat.o(36834);
    }

    public final void Fi(String str) {
        AppMethodBeat.i(36835);
        this.jvt.append("<" + str + ">");
        AppMethodBeat.o(36835);
    }

    public final void Fj(String str) {
        AppMethodBeat.i(36836);
        this.jvt.append("</" + str + ">");
        AppMethodBeat.o(36836);
    }

    public final void setText(String str) {
        AppMethodBeat.i(36837);
        if (bo.isNullOrNil(str)) {
            AppMethodBeat.o(36837);
        } else if (str.contains(j.jvr)) {
            this.jvt.append("<![CDATA[" + bo.ani(str) + "]]>");
            AppMethodBeat.o(36837);
        } else {
            this.jvt.append("<![CDATA[" + str + "]]>");
            AppMethodBeat.o(36837);
        }
    }

    public final void setText(int i) {
        AppMethodBeat.i(36838);
        this.jvt.append(i);
        AppMethodBeat.o(36838);
    }

    public final void m(String str, Map<String, String> map) {
        AppMethodBeat.i(36839);
        this.jvt.append("<".concat(String.valueOf(str)));
        for (String str2 : map.keySet()) {
            this.jvt.append(" " + str2 + "=\"" + ((String) map.get(str2)) + "\" ");
        }
        this.jvt.append(">");
        map.clear();
        AppMethodBeat.o(36839);
    }
}
